org.codehaus.groovy.jsr223

## Class ScriptStaticExtensions

- java.lang.Object
- - org.codehaus.groovy.jsr223.ScriptStaticExtensions

    public class ScriptStaticExtensions
    extends java.lang.Object

This class defines new Java 6 specific static groovy methods which extend the normal JDK classes inside the Groovy environment.

### Constructor Summary

Constructors
Constructor and Description
`ScriptStaticExtensions()`

### Method Summary

Methods
`static javax.script.ScriptEngine` `$static_propertyMissing(javax.script.ScriptEngineManager self, java.lang.String languageShortName)` Provides a convenient shorthand for accessing a Scripting Engine with name `languageShortName` using a newly created `ScriptEngineManager` instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScriptStaticExtensions

    public ScriptStaticExtensions()

### Method Detail

#### $static_propertyMissing

    public static javax.script.ScriptEngine $static_propertyMissing(javax.script.ScriptEngineManager self,
                                                    java.lang.String languageShortName)

Provides a convenient shorthand for accessing a Scripting Engine with name `languageShortName` using a newly created `ScriptEngineManager` instance.

Parameters:
  `self` - Placeholder variable used by Groovy categories; ignored for default static methods
  `languageShortName` - The short name of the scripting engine of interest
Returns:
  the ScriptEngine corresponding to the supplied short name or null if no engine was found
Since:
  1.8.0